com.threerings.stage.tools.editor

## Class EditorApp

- java.lang.Object
- - com.threerings.stage.tools.editor.EditorApp

All Implemented Interfaces:
  Runnable

    public class EditorApp
    extends Object
    implements Runnable

A scene editor application that provides facilities for viewing, editing, and saving the scene templates that comprise a game.

### Constructor Summary

Constructors
Constructor and Description
`EditorApp(String[] args)` Construct and initialize the EditorApp object.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `finishInit(String target)`
`static String` `localDataDir(String subdir)` Given a subdirectory name (that should correspond to the calling service), returns a file path that can be used to store local data.
`static void` `main(String[] args)` Instantiate the application object and start it running.
`void` `run()` Run the application.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorApp

    public EditorApp(String[] args)
              throws IOException

Construct and initialize the EditorApp object.

Throws:
  `IOException`

### Method Detail

#### finishInit

    public void finishInit(String target)

#### localDataDir

    public static String localDataDir(String subdir)

Given a subdirectory name (that should correspond to the calling service), returns a file path that can be used to store local data.

#### run

    public void run()

Run the application.

Specified by:
  `run` in interface `Runnable`

#### main

    public static void main(String[] args)

Instantiate the application object and start it running.